%define srcname terminaltables
%define terminaltables_version 3.1.10

%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_without python3
%else
%bcond_with python3
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Summary:       Generate tables in terminals from list of strings
Name:          python-%{srcname}
Version:       3.1.10
Release:       1.0.1%{?dist}
License:       MIT
URL:           http://pypi.python.org/pypi/%{srcname}
Group: Development/Libraries
Source: https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
BuildArch:     noarch

%description
Easily draw tables in terminal/console applications from a list of lists of strings. Supports multi-line rows.

%package -n python2-%{srcname}
Summary:    %summary
BuildRequires: python2-devel
BuildRequires: python2-setuptools

%description -n  python2-%{srcname}
Easily draw tables in terminal/console applications from a list of lists of strings. Supports multi-line rows.

%if %{with python3}
%package -n python3-%{srcname}
Summary:    %summary
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description -n  python3-%{srcname}
Easily draw tables in terminal/console applications from a list of lists of strings. Supports multi-line rows.

%endif

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python2} setup.py build
%if %{with python3}
%{__python3} setup.py build
%endif

%install
%{__python2} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}

%if %{with python3}
%{__python3} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
%endif

%clean
rm -rf %{buildroot}

%files -n python2-%{srcname}
%defattr(-,root,root)
%{python2_sitelib}/terminaltables*
%doc README.md PKG-INFO

%if %{with python3}
%files -n python3-%{srcname}
%defattr(-,root,root)
%{python3_sitelib}/terminaltables*
%doc README.md PKG-INFO

%endif


%changelog
* Thu Feb 15 2024 Sam Booth <sam.booth@oracle.com> - 3.1.10-1.0.1
- Update to 3.1.10
- Fix changelog

* Wed Jul 03 2019 Qing Lin <qing.lin@oracle.com> - 3.1.0-1.0.1
- support python3 for OL8.

* Mon Jun 12 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for terminaltables 3.1.0
